{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Apply bonafide
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    
                  {% if exis %}
               <button type="button" class="btn btn-primary" data-target="#primary" data-toggle="modal">Click to fill the amount you got from the already received bonafide certificate</button>
  



                  <div class="modal" id="primary" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel1">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                            <h4 class="modal-title" id="myModalLabel1">Give data about previous forms</h4>
                                        </div><div class="form-group">
                                        <form action="" method="post" class="form-horizontal">{% csrf_token %}
                         
                        
                           {% for ins1 in list %}
                            <div>
                                <label 
                                >{{ ins1.bonafide.reason }}({{ins1.comment}}) applied at {{ins1.applied_date}}</label><div class="btn-group" data-toggle="buttons">
                                <input type="number" name="val{{ ins1.pk }}" min="0" value="{{ins1.bonafide.max_amnt}}" class="form-control"/>
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="status{{ins1.pk}}" value="Reject" type="radio"> Not received amount
                                    </label>
                                    
                                </div>      
</div>
                         {% endfor %}
                                        <div class="modal-footer">
                                            <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Save Later
                                            </button>
                                            <button type="submit" name="updateAmt" class="btn1 btn-dark-green">Save changes</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                          </div><br>
                         </form>
                   {% endif %}
                  




                       <form action="" method="post" class="form-horizontal">{% csrf_token %}
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Select the type of reason for bonafide</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <select name="method" class="form-control" onchange="changed(this.value.split('%^'))" >
                                <option>-------------</option>
                                {% for i in lis %}
                                    <option value="{{ i.max_amnt }}%^{{ i.description }}%^{{ i.pk }}">{{ i.reason }} - {{ i.description }}</option>
                                {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Briefly explain the reason for bonafide</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <textarea rows="3" id="reason" type="text" name="comment" onchange="changed1(this.value)" class="form-control"></textarea>
                            </div>
                        </div>

                        <div class="form-group" id="amt_div">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Specify the max amount you get through this:</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <input id="amt_val" type="number" min="0" name="max_amt" class="form-control"/>
                            </div>
                        </div>

                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="button" class="btn1 btn1-success"
                                    data-toggle="modal" data-target="#myModal">Apply Bonafide
                            </button>
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel1" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                        <div class="modal-content">
                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                            <h4 class="modal-title" id="myModalLabel1">PDF confirmation</h4>
                                        </div>
                                        <div class="modal-body">
                                       <div style="padding-top: 1em;">
        <br><br>
        <div align="center">
                <span style="font-size: 2.5em;font-stretch: semi-expanded;font-weight: bold">
                    OFFICE OF THE PRINCIPAL: GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE-13
                </span><br><br/>
            <div style="font-size: 1.8em;">(Affliated to Anna University,Chennai)</div>
          <br/><br/><br/>
        <div style="padding:10px;font-size: 1.8em;"><strong>No.________/E______/2018___Dated{{now}}</strong></div>
        <br/><br/><br/>
        <span style="font-size: 2.5em;font-stretch: semi-expanded;font-weight: bold">BONAFIDE CERTIFICATE</span>
        <br/><br/><br/>
        <p style="font-size:1.7em">This is to certify that <u>{{ins}}</u> <span style="font-weight:bold">(Roll No.{{ins.roll_no}})</span> is a bonafide student of this college studying in <u>{{ins.get_year_roman}} year</u> of Four years of B.E/B.Tech. Degree course in<u> {{ins.department}}</u> during the academic year 2018-19.</p><br/><br/><br/>
        <p style="font-size:1.7em">This certificate is issued with reference to his/her application dated <u>{{now}}</u> to apply for</p><u><p style="font-size:1.7em" id="reas"></p></u>
        </div>
        <br/><br/><br/><br/>
        <span style="font-size:1.7em" align="left">&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<strong>To</strong><br><br>
        &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<strong>Name &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp :</strong>{{ins}}<br><br>
        &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<strong>Roll No   &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp  :</strong>{{ins.roll_no}}<br><br>
        &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<strong>YEAR/Branch :</strong>{{ins.get_year_roman}} year {{ins.department.acronym}}</span>
                                       </div>
                        <div class="modal-footer">
                                            <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                            </button>
                                            <button type="submit" name="apply_bonafide" class="btn1 btn-dark-green">Save changes</button>
                                        </div>
                        </div>
                        </div>
                        </div>
                        </div>
                        </div>
                        </div>

                    </form>
                    {% if past %}
                    <h4>Current Status of your Bonafide Certificates</h4>
                    <table class="table table-hover table-striped">
                    <thead><tr>
                    <th>S.No</th>
                    <th>Reason</th>
                    <th>Applied Date</th>
                    <th>Status</th>
                    </tr></thead>
                    <tbody>
                    {% for insta in past %}
                    <tr><th>{{forloop.counter}}</th>
                    <th>{{insta.appl.bonafide.reason}}</th>
                    <th>{{insta.appl.applied_date}}</th>
                    <th>{{insta.str}}</th></tr>
                    {% endfor %}
                    </tbody></table>{% endif %}
                    </div>
                </div>
            </div>
           
            <br>
            <br><!--
            {% if applied_alumni_scholarships %}
                <div class="col-md-8 col-md-offset-2">
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Applied Date</th>
                            <th>PDF</th>
                            <th>STATUS</th>
                            <th>DELETE</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in applied_alumni_scholarships %}
                            <tr>
                                <td>{{ entry.form.pk }}</td>
                                <td>{{ entry.form.date_of_application }}</td>
                                <td>
                                    <button class="btn btn-primary"
                                            onclick="location.href='{% url 'download_application_as_pdf' application_id=entry.form.pk %}'">
                                        PDF
                                    </button>
                                </td>
                                <td>
                                    {{ entry.status }}
                                </td>
                                <td>
                                    <button class="btn btn-danger"
                                            onclick="location.href='{% url 'delete_my_application' application_id=entry.form.pk %}'">
                                        Delete
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}-->
            </div>
        </div>
    </div>

<script type="text/javascript">
function changed(value1)
{
if(value1[0]>0){
$('#amt_val').val(value1[0]);
$('#amt_div').show();
}
else
{
$('#amt_val').val(0);
$('#amt_div').hide();
}
$('#reason').val(value1[1]);
$('#reas').text(value1[1]);
}
function changed1(value)
{
$('#reas').text(value);
}
</script>

{% endblock %}